import * as i0 from '@angular/core';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PortalPageComponent, AuthGuard, PortalPageResolver, BarsaApi, BarsaNovinRayCoreModule } from 'barsa-novin-ray-core';
import { EmptyPageComponent, BarsaSapUiModule } from 'barsa-sap-ui';
import { BarsaTilesModule } from 'barsa-tiles';
import * as i1 from '@angular/router';
import { RouterModule } from '@angular/router';
import { formRoutes } from 'barsa-sap-ui-form-page';
import { BarsaDevelopComponentsModule } from 'barsa-develop-components';

const mainRoutes = [
    {
        path: '',
        component: PortalPageComponent,
        canActivate: [AuthGuard],
        data: {
            pageData: {
                Module: 'BarsaHomePage',
                HasAuthorize: true,
                Route: '/home'
            }
        },
        resolve: { pageData: PortalPageResolver },
        children: [
            {
                path: '',
                redirectTo: 'launchpad',
                pathMatch: 'full'
            },
            {
                path: 'launchpad',
                loadChildren: () => import('barsa-launch-pad-page').then((m) => m.BarsaLaunchPadPageModule)
            },
            {
                path: 'search',
                loadChildren: () => import('barsa-search-page').then((m) => m.BarsaSearchPageModule)
            },
            {
                path: 'report/:id',
                loadChildren: () => import('barsa-report-page').then((m) => m.BarsaReportPageModule)
            },
            {
                path: 'appfinder',
                loadChildren: () => import('barsa-app-finder-page').then((m) => m.BarsaAppFinderPageModule)
            }
        ]
    }
];
const routesServiceDesk = [
    {
        path: '',
        component: EmptyPageComponent,
        canActivate: [AuthGuard],
        data: {
            pageData: {
                Module: 'BarsaHomePage',
                HasAuthorize: true,
                Route: '/home'
            }
        },
        resolve: { pageData: PortalPageResolver },
        children: [
            formRoutes(true),
            {
                path: 'report/:id',
                loadChildren: () => import('barsa-report-page').then((m) => m.BarsaReportPageModule)
            },
            {
                path: 'search',
                loadChildren: () => import('barsa-search-page').then((m) => m.BarsaSearchPageModule)
            },
            {
                path: 'appfinder',
                loadChildren: () => import('barsa-app-finder-page').then((m) => m.BarsaAppFinderPageModule)
            }
        ]
    }
];
/* tslint:disable no-var-requires */
const isServiceDesk = BarsaApi.LoginFormData.IsServiceDesk; // eslint-disable-line
const routes = isServiceDesk ? routesServiceDesk : mainRoutes;
class BarsaHomePageRoutingModule {
}
BarsaHomePageRoutingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.7", ngImport: i0, type: BarsaHomePageRoutingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BarsaHomePageRoutingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.7", ngImport: i0, type: BarsaHomePageRoutingModule, imports: [i1.RouterModule], exports: [RouterModule] });
BarsaHomePageRoutingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.7", ngImport: i0, type: BarsaHomePageRoutingModule, imports: [RouterModule.forChild(routes), RouterModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.7", ngImport: i0, type: BarsaHomePageRoutingModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [RouterModule.forChild(routes)],
                    exports: [RouterModule]
                }]
        }] });

class BarsaHomePageModule {
}
BarsaHomePageModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.7", ngImport: i0, type: BarsaHomePageModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BarsaHomePageModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.7", ngImport: i0, type: BarsaHomePageModule, imports: [CommonModule,
        BarsaNovinRayCoreModule,
        BarsaSapUiModule,
        BarsaDevelopComponentsModule,
        BarsaHomePageRoutingModule,
        BarsaTilesModule] });
BarsaHomePageModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.7", ngImport: i0, type: BarsaHomePageModule, imports: [CommonModule,
        BarsaNovinRayCoreModule,
        BarsaSapUiModule,
        BarsaDevelopComponentsModule,
        BarsaHomePageRoutingModule,
        BarsaTilesModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.7", ngImport: i0, type: BarsaHomePageModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    schemas: [NO_ERRORS_SCHEMA],
                    imports: [
                        CommonModule,
                        BarsaNovinRayCoreModule,
                        BarsaSapUiModule,
                        BarsaDevelopComponentsModule,
                        BarsaHomePageRoutingModule,
                        BarsaTilesModule,
                    ],
                    exports: [],
                }]
        }] });

/*
 * Public API Surface of barsa-home-page
 */

/**
 * Generated bundle index. Do not edit.
 */

export { BarsaHomePageModule };
//# sourceMappingURL=barsa-home-page.mjs.map
